Bug 768842 - New error when running YUM
New error when running YUM
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: yum (Show other bugs)
5.5
athlon Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: packaging-team-maint
BaseOS QE Security Team
:
: 770879 819667 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-12-19 00:46 EST by kmwarren3
Modified: 2014-01-21 01:24 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-04-04 10:51:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description kmwarren3 2011-12-19 00:46:22 EST
Description of problem:Error while running YUM -y update


Version-Release number of selected component (if applicable):
CentOS 5.5

How reproducible: Running YUM


Steps to Reproduce:
1. Yum -y update
2.
3.
  
Actual results:
ERROR with rpm_check_debug vs depsolve:
php is needed by (installed) zend-optimizer-3.3.3-3.i386

Expected results:
ALl needed updates would be loaded

Additional info:[root@trixbox1 freepbx-2.9.0]# yum update php
Loaded plugins: fastestmirror, kmod
Loading mirror speeds from cached hostfile
Excluding Packages in global exclude list
Finished
Setting up Update Process
Resolving Dependencies
--> Running transaction check
--> Processing Dependency: php = 5.2.17-1.1 for package: php-devel
---> Package php.i386 0:5.3.3-1.3 set to be updated
--> Processing Dependency: php-cli = 5.3.3-1.3 for package: php
--> Processing Dependency: php-common = 5.3.3-1.3 for package: php
--> Running transaction check
---> Package php-cli.i386 0:5.3.3-1.3 set to be updated
--> Processing Dependency: php-common = 5.2.17-1.1 for package: php-ldap
--> Processing Dependency: php-common = 5.2.17-1.1 for package: php-pdo
--> Processing Dependency: php-common = 5.2.17-1.1 for package: php-mysql
--> Processing Dependency: php-common = 5.2.17-1.1 for package: php-process
--> Processing Dependency: php-common = 5.2.17-1.1 for package: php-gd
---> Package php-common.i386 0:5.3.3-1.3 set to be updated
---> Package php-devel.i386 0:5.3.3-1.3 set to be updated
--> Running transaction check
---> Package php-gd.i386 0:5.3.3-1.3 set to be updated
---> Package php-ldap.i386 0:5.3.3-1.3 set to be updated
---> Package php-mysql.i386 0:5.3.3-1.3 set to be updated
---> Package php-pdo.i386 0:5.3.3-1.3 set to be updated
---> Package php-process.i386 0:5.3.3-1.3 set to be updated
--> Finished Dependency Resolution

Dependencies Resolved

================================================================================
 Package               Arch           Version               Repository     Size
================================================================================
Updating:
 php                   i386           5.3.3-1.3             pbx           1.3 M
Updating for dependencies:
 php-cli               i386           5.3.3-1.3             pbx           2.5 M
 php-common            i386           5.3.3-1.3             pbx           605 k
 php-devel             i386           5.3.3-1.3             pbx           598 k
 php-gd                i386           5.3.3-1.3             pbx           108 k
 php-ldap              i386           5.3.3-1.3             pbx            35 k
 php-mysql             i386           5.3.3-1.3             pbx            87 k
 php-pdo               i386           5.3.3-1.3             pbx            66 k
 php-process           i386           5.3.3-1.3             pbx            37 k

Transaction Summary
================================================================================
Install       0 Package(s)
Upgrade       9 Package(s)

Total size: 5.2 M
Is this ok [y/N]: y
Downloading Packages:
Running rpm_check_debug
ERROR with rpm_check_debug vs depsolve:
php is needed by (installed) zend-optimizer-3.3.3-3.i386
Complete!
(1, [u'Please report this error in https://bugzilla.redhat.com/enter_bug.cgi?product=Red%20Hat%20Enterprise%20Linux%205&component=yum'])
Comment 1 Zdeněk Pavlas 2013-04-04 10:40:42 EDT
*** Bug 770879 has been marked as a duplicate of this bug. ***
Comment 2 James Antill 2013-04-04 10:51:30 EDT
 I assume that your rpmdb is corrupt in some way, so that rpm can't lookup the provides correctly.

 Eg. try:

rpm -q --provides php
rpm -q --whatprovides php

...if the first shows php and the second doesn't, try:

rpm --rebuilddb
Comment 3 Zdeněk Pavlas 2013-04-04 10:53:27 EDT
*** Bug 819667 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.